Thread: Downloading SAC on Mac 10.12.6

Started: 2019-01-11 20:54:22
Last activity: 2019-01-12 21:14:17
Topics: SAC Help
Mel Zhang
2019-01-11 20:54:22
Hi there,

I'm downloading SAC onto my laptop, which runs on Mac OS 10.12.6. In the
README document I see that it says SAC will run on earlier versions of Mac
OS X, e.g. 10.7, 10.8, and 10.9. It also says that "Other platforms or
operating systems must be built from the source code." Does this mean that
with my newer operating system, I will need to build from the source code?
And what does that entail?

Thank you,

Mel Zhang

--
Mel Zhang
M.S. Program, CU Boulder Department of Geological Sciences

  • Tian, Dongdong
    2019-01-12 06:12:04
    Hi Mel,

    I downloaded the SAC binary package for mac and can successfully run it on my mac 10.14.2. I believe it can also run on you laptop.

    Best,
    Dongdong

    Mel Zhang <melody.zhang<at>colorado.edu<melody.zhang<at>colorado.edu>> 于2019年1月11日周五 下午3:01写道:
    Hi there,

    I'm downloading SAC onto my laptop, which runs on Mac OS 10.12.6. In the README document I see that it says SAC will run on earlier versions of Mac OS X, e.g. 10.7, 10.8, and 10.9. It also says that "Other platforms or operating systems must be built from the source code." Does this mean that with my newer operating system, I will need to build from the source code? And what does that entail?

    Thank you,

    Mel Zhang

    --
    Mel Zhang
    M.S. Program, CU Boulder Department of Geological Sciences

    ----------------------
    SAC Help
    Topic home: http://ds.iris.edu/message-center/topic/sac-help/ | Unsubscribe: sac-help-unsubscribe<at>lists.ds.iris.edu<sac-help-unsubscribe<at>lists.ds.iris.edu>

    Sent from the IRIS Message Center (http://ds.iris.edu/message-center/)
    Update subscription preferences at http://ds.iris.edu/account/profile/


    --
    Dongdong Tian, PhD in Geophysics
    Postdoctoral Research Associate
    Department of Earth and Environmental Sciences
    Michigan State University
    https://msu.edu/~tiandong


  • Geo .
    2019-01-12 21:14:17
    Hi Mel,
    Unlikely. I run SAC on 10.13 without issues and did not build it from the
    source code.

    Januka

    Januka Attanayake
    Research Fellow | Earthquake Seismology
    Homepage: *https://sites.google.com/site/janukaattanayake
    https://sites.google.com/site/janukaattanayake*

    School of Earth Sciences | McCoy Bldg. 200
    University of Melbourne | Parkville 3010 VIC
    Australia




    On Sat, 12 Jan 2019 at 07:01, Mel Zhang <melody.zhang<at>colorado.edu> wrote:

    Hi there,

    I'm downloading SAC onto my laptop, which runs on Mac OS 10.12.6. In the
    README document I see that it says SAC will run on earlier versions of Mac
    OS X, e.g. 10.7, 10.8, and 10.9. It also says that "Other platforms or
    operating systems must be built from the source code." Does this mean that
    with my newer operating system, I will need to build from the source code?
    And what does that entail?

    Thank you,

    Mel Zhang

    --
    Mel Zhang
    M.S. Program, CU Boulder Department of Geological Sciences

    ----------------------
    SAC Help
    Topic home: http://ds.iris.edu/message-center/topic/sac-help/ |
    Unsubscribe: sac-help-unsubscribe<at>lists.ds.iris.edu

    Sent from the IRIS Message Center (http://ds.iris.edu/message-center/)
    Update subscription preferences at http://ds.iris.edu/account/profile/


06:48:29 v.ad6b513c